package com.ss.android.ugc.aweme.ug.amplify.api;

import X.6tJ;
import X.8qp;
import X.IUu;
import X.PUu;
import X.Ph1;
import X.S84;
import com.bytedance.covode.number.Covode;

public interface AmplifyApi {
    public static final S84 LIZ = S84.LIZ;

    static {
        Covode.recordClassIndex(120869);
    }

    @IUu
    @6tJ
    Ph1 confirmAction(@8qp String str, @PUu(LIZ = "select_type") String str2);

    @IUu(LIZ = "/aweme/v2/ug/ugc/permission/user/perm/refuse")
    Ph1 refuseAction();
}
